Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039383
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2018-10-01 13:012018-12-11 20:22
ReporterngarciaView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q1
StatusclosedFix in branchFixed in SCM revision40f52a4fcc56
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039383: Cashflow Forecast Report will always show the invoices with payments that will be never deposited in the financial account

DescriptionCashflow Forecast Report will always show the invoices with payments that will be never deposited in the financial account:

Payments with 0 amount
Payments with Settle in Remittance status
Steps To ReproduceAs System Admin Role:
   Install Remittances Infrastructure module
As group admin role:
   Apply module's dataset in Enterprise Module Management window
   Add Remittance Payment Method in Cuenta de Banco Financial Account
   Set the Remittance Type as Remit for Discount

   Create a Sales Invoice for F&B España - Región Norte
   Set Remittance payment method, add a product and complete

   Launch the Cashflow forecast with the invoice's payment plan date and check the invoice is shown on it

   Create a new remittance
   Add previously create invoice
   Complete it

   Go to Settle / Protest Remittances window and settle it

   Launch the Cashflow forecast with the invoice's payment plan date and check the invoice is shown on it and it should not

   Create a new sales invoice with Transferencia payment method and complete it
   Create the same sales invoice but negative and complete it

   Launch the Cashflow forecast with the invoice's payment plan date and check the invoices are shown on it

   Create a Payment of 0 amount and add the two invoices

   Launch the Cashflow forecast with the invoice's payment plan date and check the invoice are shown on it and they should not
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0107162)
markmm82 (developer)
2018-10-04 20:21

Test Plan:
As System Admin Role:
   Install Remittances Infrastructure module
As group admin role:
   Apply module's dataset in Enterprise Module Management window
   Add Remittance Payment Method in Cuenta de Banco Financial Account
   Set the Remittance Type as Remit for Discount

   Create a Sales Invoice for F&B España - Región Norte
   Set Remittance payment method, add a product and complete

   Launch the Cashflow forecast with the invoice's payment plan date and check the invoice is shown on it

   Create a new remittance
   Add previously create invoice
   Complete it

   Go to Settle / Protest Remittances window and settle it
   Launch the Cashflow forecast with the invoice's payment plan date and check the invoice is not shown anymore.

   Create a new sales invoice with Transferencia payment method and complete it
   Create the another sales invoice similar than previously created but negative and complete it
   Launch the Cashflow forecast with the invoice's payment plan date and check the two invoices are shown on it

   Create a Payment of 0 amount and add the two invoices
   Launch the Cashflow forecast with the invoice's payment plan date and check the invoices are not shown on it anymore.
(0107441)
hgbot (developer)
2018-10-18 16:11

Repository: erp/devel/pi
Changeset: 40f52a4fcc560bdb5cef465402ba0e5d8e31e53a
Author: Mark <markmm82 <at> gmail.com>
Date: Thu Oct 11 13:40:45 2018 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/40f52a4fcc560bdb5cef465402ba0e5d8e31e53a [^]

Fixes issue 39383: Cashflow Forecast Report doesn't show the invoices with
payments that will be never deposited in the financial account.

The report doesn't takes into account invoices related with payments of 0 or with
payments that will be never deposited in the financial account just like
"Settled in Remittance" status.

---
M src/org/openbravo/common/actionhandler/CashflowForecast_data.xsql
---
(0107442)
Sandrahuguet (developer)
2018-10-18 16:12

Code review + testing OK
(0108438)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-10-01 13:01 ngarcia New Issue
2018-10-01 13:01 ngarcia Assigned To => Triage Finance
2018-10-01 13:01 ngarcia Modules => Core
2018-10-01 13:01 ngarcia Triggers an Emergency Pack => No
2018-10-01 13:02 ngarcia Issue Monitored: networkb
2018-10-01 13:06 Practics Issue Monitored: Practics
2018-10-01 13:30 Sandrahuguet Assigned To Triage Finance => markmm82
2018-10-03 19:17 markmm82 Status new => scheduled
2018-10-04 20:21 markmm82 Note Added: 0107162
2018-10-18 16:11 hgbot Checkin
2018-10-18 16:11 hgbot Note Added: 0107441
2018-10-18 16:11 hgbot Status scheduled => resolved
2018-10-18 16:11 hgbot Resolution open => fixed
2018-10-18 16:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/40f52a4fcc560bdb5cef465402ba0e5d8e31e53a [^]
2018-10-18 16:12 Sandrahuguet Review Assigned To => Sandrahuguet
2018-10-18 16:12 Sandrahuguet Note Added: 0107442
2018-10-18 16:12 Sandrahuguet Status resolved => closed
2018-10-18 16:12 Sandrahuguet Fixed in Version => 3.0PR19Q1
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108438


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker